summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-plugins/alsa-plugins')
-rw-r--r--media-plugins/alsa-plugins/Manifest1
-rw-r--r--media-plugins/alsa-plugins/alsa-plugins-1.2.6.ebuild100
2 files changed, 101 insertions, 0 deletions
diff --git a/media-plugins/alsa-plugins/Manifest b/media-plugins/alsa-plugins/Manifest
index b245ef83d60..5512d43b906 100644
--- a/media-plugins/alsa-plugins/Manifest
+++ b/media-plugins/alsa-plugins/Manifest
@@ -1,2 +1,3 @@
DIST alsa-plugins-1.2.2.tar.bz2 406494 BLAKE2B 64148e3e6fcf651a2ac62b6b5f3cc915fe6718d35fea53da08f6f4b1a5ff06ba29e69b8cd2a95e3b9edf3880570b1d0b9267239f705043dab592c27fdd150ef3 SHA512 25a7dfaa64be024447d889b5cde668f1308d197f54880548a82d50beb4ac0dbff33b415da1e26dc5229408c934247a9bd38acfb0f82ca388deac0d77ab3cdadb
DIST alsa-plugins-1.2.5.tar.bz2 406134 BLAKE2B a1bb2f187c92a2999722e22775baf2c1fc4240162bb71f454c60359ef61b46934ff8ecd5af97589bafe2c7f737530cf5a4dcc139af7ed001d8dfe24bf3ae045c SHA512 32aa475ec4af040861c2bfb01eac71042242d2109d3c5102d0111f3327e3f6c9031c32cbb50eb4b6568a6bd9408691a047a39972f09d6087e31ec11f19ddc9cf
+DIST alsa-plugins-1.2.6.tar.bz2 408596 BLAKE2B bead0b9514725560a4fb738c4b1e14b148bf888cc82e0d7611cb6c494ed97a7e366b57f233095372c26a7bd614655bd58a6505202910de421561b540c94d5cca SHA512 ac54a6f227f1ca5f6e01e08d869e7c06f4bcd68f148932e1902a6fcf3e5ccd3667ac4d8c1a00b77e4b5cb27e17c01cf7526ded4aaf35c4b26fc69e14e6e341f9
diff --git a/media-plugins/alsa-plugins/alsa-plugins-1.2.6.ebuild b/media-plugins/alsa-plugins/alsa-plugins-1.2.6.ebuild
new file mode 100644
index 00000000000..5aada389cb2
--- /dev/null
+++ b/media-plugins/alsa-plugins/alsa-plugins-1.2.6.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit autotools flag-o-matic multilib multilib-minimal
+
+DESCRIPTION="ALSA extra plugins"
+HOMEPAGE="https://alsa-project.org/wiki/Main_Page"
+SRC_URI="https://www.alsa-project.org/files/pub/plugins/${P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
+IUSE="arcam_av debug ffmpeg jack libsamplerate +mix oss pulseaudio speex +usb_stream"
+
+RDEPEND="
+ >=media-libs/alsa-lib-${PV}:=[${MULTILIB_USEDEP}]
+ ffmpeg? ( media-video/ffmpeg:0=[${MULTILIB_USEDEP}] )
+ jack? ( virtual/jack[${MULTILIB_USEDEP}] )
+ libsamplerate? ( >=media-libs/libsamplerate-0.1.8-r1:=[${MULTILIB_USEDEP}] )
+ pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[${MULTILIB_USEDEP}] )
+ speex? (
+ >=media-libs/speex-1.2.0:=[${MULTILIB_USEDEP}]
+ media-libs/speexdsp[${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ default
+
+ # For some reasons the polyp/pulse plugin does fail with alsaplayer with a
+ # failed assert. As the code works just fine with asserts disabled, for now
+ # disable them waiting for a better solution.
+ sed \
+ -e '/AM_CFLAGS/s:-Wall:-DNDEBUG -Wall:' \
+ -i pulse/Makefile.am || die
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ use debug || append-cppflags -DNDEBUG
+
+ local myeconfargs=(
+ # default does not contain $prefix: bug #673464
+ --with-alsalconfdir="${EPREFIX}"/etc/alsa/conf.d
+
+ --with-speex="$(usex speex lib no)"
+ $(use_enable arcam_av arcamav)
+ $(use_enable ffmpeg libav)
+ $(use_enable jack)
+ $(use_enable libsamplerate samplerate)
+ $(use_enable mix)
+ $(use_enable oss)
+ $(use_enable pulseaudio)
+ $(use_enable speex speexdsp)
+ $(use_enable usb_stream usbstream)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ cd doc || die
+ dodoc upmix.txt vdownmix.txt README-pcm-oss
+ use jack && dodoc README-jack
+ use libsamplerate && dodoc samplerate.txt
+ use ffmpeg && dodoc lavrate.txt a52.txt
+
+ if use pulseaudio; then
+ dodoc README-pulse
+ # install ALSA configuration files
+ # making PA to be used by alsa clients
+ insinto /usr/share/alsa
+ doins "${FILESDIR}"/pulse-default.conf
+ insinto /usr/share/alsa/alsa.conf.d
+ doins "${FILESDIR}"/51-pulseaudio-probe.conf
+ # bug #410261, comment 5+
+ # seems to work fine without any path
+ sed \
+ -e "s:/usr/lib/alsa-lib/::" \
+ -i "${ED}"/usr/share/alsa/alsa.conf.d/51-pulseaudio-probe.conf || die #410261
+ dosym ../../../usr/share/alsa/alsa.conf.d/51-pulseaudio-probe.conf \
+ /etc/alsa/conf.d/51-pulseaudio-probe.conf #670960
+ fi
+
+ find "${ED}" -type f \( -name '*.a' -o -name '*.la' \) -delete || die
+}
+
+pkg_postinst() {
+ if use pulseaudio; then
+ einfo "The PulseAudio device is now set as the default device if the"
+ einfo "PulseAudio server is found to be running. Any custom"
+ einfo "configuration in /etc/asound.conf or ~/.asoundrc for this"
+ einfo "purpose should now be unnecessary."
+ fi
+}